#pragma once
#include <thread>

enum Modus
{
	Stellmodus,
	Stopuhrmodus,
	Eieruhrmodus
};
using namespace std;

class Uhr
{
	public:
		Uhr();
		int minuten;
		int sekunden;
		void Start();
		void Stopp();
		void Pause();
		Modus modus;
		bool uhrLaeuft;
		bool pausiert;
		
	private:
		void Update();
		thread* workthread;
	
		
	
};

